#pragma once

#include <cppunit/TestCase.h>
#include <cppunit/extensions/HelperMacros.h>
#include "../MFCBasics/MFCBasicsDoc.h"

/**\brief Testfall fr die Document-Klasse.
 *
 * Dies ist der bisher einzige Testfall des Beispiels.
 * Es wird die Methode "Serialize" der Document-Klasse getestet.
 */
class MFCBasicsTestCase: public CppUnit::TestCase
{
	CPPUNIT_TEST_SUITE(MFCBasicsTestCase);
		CPPUNIT_TEST(testSerialize);
	CPPUNIT_TEST_SUITE_END();
public:
	/**Serialisierung der Document-Klasse testen */
	void testSerialize();
public:
	// Keinen expliziten Konstruktor/Destruktor

	/**Initialisieren des Testfalls. 
	 * Hier wird die CMFCBasicsDoc-Klasse erzeugt */
	void setUp();
	/**Lschen des Testfalls. 
	 * Hier wird die CMFCBasicsDoc-Klasse gelscht */
	void tearDown();
private:
	/**Auf dieser Instanz von CMFCBasicsDoc luft der Test.
	 * Wird in "setUp" erzeugt und in "tearDown" gelscht.
	 */
	CMFCBasicsDoc *fixture;
};
